%define major 1
%define libname %mklibname termkey %{major}
%define develname %mklibname termkey -d

Name: libtermkey
Version: 0.22
Release: %mkrel 1
Summary: Library for easy processing of keyboard entry
# the licensing breakdown is described in detail in the LICENSE file
License: MIT and BSD and ISC
Group: Development/C
URL: http://www.leonerd.org.uk/code/libtermkey/
Source0: http://www.leonerd.org.uk/code/libtermkey/%{name}-%{version}.tar.xz
BuildRequires: pkgconfig(ncurses)
BuildRequires: libtool

%description
This library allows easy processing of keyboard entry from terminal-based
programs. It handles all the necessary logic to recognize special keys, UTF-8
combining, and so on, with a simple interface.

%package -n %{libname}
Summary: Library for easy processing of keyboard entry
Group: System/Libraries

%description -n %{libname}
This library allows easy processing of keyboard entry from terminal-based
programs. It handles all the necessary logic to recognize special keys, UTF-8
combining, and so on, with a simple interface.

%package -n %{develname}
Summary: Development libraries for libtermkey
Group: Development/Libraries
Requires: %{libname} = %{version}-%{release}

%description -n %{develname}
Development libraries for libtermkey.

%prep
%setup -q

%build
%setup_compile_flags
%make_build PREFIX=%{_prefix} LIBDIR=%{_libdir}

%install
%make_install PREFIX=%{_prefix} LIBDIR=%{_libdir}

#we don't want these
find %{buildroot} \( -name "*.a" -o -name "*.la" \) -delete

%files -n %{libname}
%{_libdir}/libtermkey.so.%{major}
%{_libdir}/libtermkey.so.%{major}.*

%files -n %{develname}
%{_libdir}/libtermkey.so
%{_libdir}/pkgconfig/termkey.pc
%{_includedir}/termkey*.h
%{_mandir}/man?/termkey*.?*


%changelog
* Fri Apr 05 2019 tex 0.22-1pclos2019
- New version 0.22
